# Interface Route

interface Route {
feature: {
geometry: { coordinates: GeoJsonLinestring; type: "LineString" };
type: "Feature";
id?: string;
properties?: object;
};
description?: string;
distance?: number;
end?: string;
name?: string;
start?: string;
}

- Defined in resourcetypes.ts:9

##### Index

### Properties

feature
description?
distance?
end?
name?
start?

## Properties

### feature

feature: {
geometry: { coordinates: GeoJsonLinestring; type: "LineString" };
type: "Feature";
id?: string;
properties?: object;
}

- Defined in resourcetypes.ts:15

### `Optional` description

description?: string

- Defined in resourcetypes.ts:11

### `Optional` distance

distance?: number

- Defined in resourcetypes.ts:12

### `Optional` end

end?: string

- Defined in resourcetypes.ts:14

### `Optional` name

name?: string

- Defined in resourcetypes.ts:10

### `Optional` start

start?: string

- Defined in resourcetypes.ts:13